<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="29ecd78f-8286-43d5-a139-aab3a54f2732" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="Project 3" />
  </component>
  <component name="HighlightingSettingsPerFile">
    <setting file="file://$PROJECT_DIR$/Assets/Simple FPS Controller/Scripts/Grappling Hook/GrapplingHook.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/UPPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/AsteroidSetup.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Meteora.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Library/PackageCache/com.unity.textmeshpro@2.0.1/Scripts/Runtime/TextMeshProUGUI.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/MeteoraSetup.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/BulletSetup.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Bullet.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Character Controller/Project3Character.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Centralized Aproach/RoomSpawn.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Character Controller/Project3CharacterController.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Asteroid.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/KinematicCharacterController/Core/KinematicCharacterSystem.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Tester.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/NORTHPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/KinematicCharacterController/Core/KinematicCharacterMotor.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/VolumetricLines/BuiltInRenderPipeline/ExampleScenes/ExampleScripts/CannonBehavior.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/JointPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/ThrownWeapons/Scripts/CasterWeaponController.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://C:/Program Files/Unity/Hub/Editor/2019.4.1f1/Editor/Data/Resources/PackageManager/BuiltInPackages/com.unity.ugui/Runtime/UI/Core/Selectable.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/SOUTHPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/KinematicCharacterController/ExampleCharacter/Scripts/ExampleCharacterController.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$APPLICATION_CONFIG_DIR$/resharper-host/DecompilerCache/decompiler/9B956647-017D-4DC1-B8D3-D25EEF012467/b6/bdf04ea3/SphereCollider.cs" root0="SKIP_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/ExplosionTrigger.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/BuffedColliders/BuffedCollider.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/KinematicCharacterController/ExampleCharacter/Scripts/ExampleCharacterCamera.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Weapon.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/DamageRegistrator.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyClient.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyContainer.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyShield.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/WESTPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/ConditionalFieldAttribute.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/SimpleHealthBar/FilledBar.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Centralized Aproach/RoomSpawnManager.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/EASTPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/RoomBounds.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Low Poly FPS Pack - Free (Sample)/Components/Scripts/Explosions_&amp;_Impacts/ExplosionScript.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Low Poly FPS Pack - Free (Sample)/Components/Scripts/Weapon_Scripts/HandgunScriptLPFP.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Joint Approach/DOWNPoint.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/VolumetricLines/Scripts/VolumetricLineBehavior.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/UI/MainUIManager.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/UI/ScreenSpaceFollower.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/SimpleHealthBar/DualLayerBar.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Simple FPS Controller/Scripts/KeyManager.cs" root0="FORCE_HIGHLIGHTING" />
    <setting file="file://$PROJECT_DIR$/Assets/Simple FPS Controller/Scripts/PlayerMovement.cs" root0="FORCE_HIGHLIGHTING" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Assets/SimpleHealthBar/DualLayerHealthbar.cs" />
        <option value="$PROJECT_DIR$/Assets/SimpleHealthBar/Healthbar.cs" />
        <option value="$PROJECT_DIR$/Assets/SimpleHealthBar/FilledBar.cs" />
        <option value="$PROJECT_DIR$/Assets/Tester.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Core/EnergyContainer.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Core/EnergyClient.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Core/EnergyShield.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Character Controller/Project3CharacterController.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Core/Weapon.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/ThrownWeapons/Scripts/CasterWeaponController.cs" />
        <option value="$PROJECT_DIR$/Assets/Test Scene (Trown Bullets)/3- Jumping/Scripts/Bullet/Asteroid.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/JointUPPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/UPPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/NORTHPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/DOWNPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/EASTPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/WESTPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/SOUTHPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Room.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/RoomBounds.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/JointPoint.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/RoomSpawnManager.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Centralized Aproach/RoomSpawn.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/MapGenerator/Scripts/Centralized Aproach/RoomSpawnManager.cs" />
        <option value="$PROJECT_DIR$/Assets/SimpleHealthBar/DualLayerBar.cs" />
        <option value="$PROJECT_DIR$/Assets/BuffedColliders/BuffedSphereCollider.cs" />
        <option value="$PROJECT_DIR$/Assets/VolumetricLines/NewBehaviourScript.cs" />
        <option value="$PROJECT_DIR$/Assets/VolumetricLines/ConditionalFieldAttribute.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/ConditionalFieldAttribute.cs" />
        <option value="$PROJECT_DIR$/Assets/BuffedColliders/BuffedCollider.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/EnergyClient.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/MeteoraSetup.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/EnergyShield.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/EnergyContainer.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/DamageRegistrator.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/UI/MainUIManager.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/UI/ScreenSpaceFollower.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/DamageRegistrator.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyShield.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/AsteroidSetup.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Asteroid.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Setup/BulletSetup.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Character Controller/Project3CharacterController.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Character Controller/Project3Character.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Weapon.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyClient.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Bullet.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/ExplosionTrigger.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Core/Energy/EnergyContainer.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/ThrownWeapons/Scripts/CasterWeaponController.cs" />
        <option value="$PROJECT_DIR$/Assets/Project3 Core/Assets/Scripts/Bullet/Meteora.cs" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1fbLwXfeAStko9n6YRqYPeqaZPb" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="Discover.Launch.Via.Unity" value="true" />
    <property name="Rider.SolutionExplorerActivator" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
  </component>
  <component name="RunManager" selected="Attach to Unity Editor.Attach to Unity Editor">
    <configuration name="Attach to Unity Editor &amp; Play" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="UNITY_ATTACH_AND_PLAY" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="allowRunningInParallel" value="false" />
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
    <configuration name="Attach to Unity Editor" type="UNITY_DEBUG_RUN_CONFIGURATION" factoryName="Unity Debug" show_console_on_std_err="false" show_console_on_std_out="false" port="50000" address="localhost">
      <option name="allowRunningInParallel" value="false" />
      <option name="listenPortForConnections" value="false" />
      <option name="pid" />
      <method v="2" />
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="29ecd78f-8286-43d5-a139-aab3a54f2732" name="Default Changelist" comment="" />
      <created>1596482085071</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1596482085071</updated>
      <workItem from="1596482088633" duration="2675000" />
      <workItem from="1596492063162" duration="1354000" />
      <workItem from="1596493619439" duration="3000" />
      <workItem from="1596494581522" duration="76112000" />
      <workItem from="1596717990227" duration="904000" />
      <workItem from="1596722164076" duration="20377000" />
      <workItem from="1596798814175" duration="3942000" />
      <workItem from="1597003028635" duration="35879000" />
      <workItem from="1597183268324" duration="5967000" />
      <workItem from="1597429608231" duration="7912000" />
      <workItem from="1597493158915" duration="34660000" />
      <workItem from="1597694076901" duration="1553000" />
      <workItem from="1597738602100" duration="6822000" />
      <workItem from="1597747367621" duration="11222000" />
      <workItem from="1597764776218" duration="3899000" />
      <workItem from="1598179035057" duration="5005000" />
      <workItem from="1602680910372" duration="8072000" />
      <workItem from="1603131503300" duration="13255000" />
      <workItem from="1607108900684" duration="155000" />
      <workItem from="1607111432288" duration="12499000" />
      <workItem from="1607124155974" duration="14441000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="UnityProjectConfiguration" hasMinimizedUI="true" />
  <component name="UnityUnitTestConfiguration" currentTestLauncher="EditMode" />
  <component name="WindowStateProjectService">
    <state x="2134" y="173" key="RiderGenerateDialog" timestamp="1603142219466">
      <screen x="0" y="0" width="3840" height="1040" />
    </state>
    <state x="2134" y="173" key="RiderGenerateDialog/3840.14.1536.832/0.0.3840.1040@0.0.3840.1040" timestamp="1603142219466" />
    <state x="-7" y="124" width="1497" height="612" key="dock-window-1" timestamp="1607176654714">
      <screen x="0" y="0" width="3840" height="1040" />
    </state>
    <state x="-7" y="124" width="1497" height="612" key="dock-window-1/3840.14.1536.832/0.0.3840.1040@0.0.3840.1040" timestamp="1607176654714" />
  </component>
</project>